<?php
/**
 * Magento
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/osl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@magentocommerce.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade Magento to newer
 * versions in the future. If you wish to customize Magento for your
 * needs please refer to http://www.magentocommerce.com for more information.
 *
 * @category    Mage
 * @package     Mage_Adminhtml
 * @copyright   Copyright (c) 2012 Magento Inc. (http://www.magentocommerce.com)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

/**
 * Adminhtml sales orders grid
 *
 * @category   Mage
 * @package    Mage_Adminhtml
 * @author      Magento Core Team <core@magentocommerce.com>
 */
class DHL_Dhl24pl_Block_Sales_Order_Grid extends Mage_Adminhtml_Block_Sales_Order_Grid
{

	public function __construct()
	{
		parent::__construct();
	}

	protected function _prepareCollection()
	{
		$collection = Mage::getResourceModel($this->_getCollectionClass());
		$collection->getSelect()->joinLeft(
			array('sfoa' =>Mage::getSingleton('core/resource')->getTableName('sales/order_address')),
	         'main_table.entity_id = sfoa.parent_id AND sfoa.address_type="shipping"',
			array('sfoa.street','sfoa.city','sfoa.region','sfoa.postcode','sfoa.telephone', 'sfoa.country_id', 'sfoa.email')
		);
		$this->setCollection($collection);
		
		return $collection;
	}

	protected function _prepareColumns()
	{
		$this->addColumn('dhl24pl', array(
            'header' => Mage::helper('sales')->__('DHL'),
            'index' => 'order_id', /* z jakiego atrybutu kolekcji ma skorzystac*/
            'width' => '187px',
   			'type' => 'text',
   			'filter'    => false,
            'sortable'  => false,
			//'options' => array(1 => 'Yes', 0 => 'No'),
			'renderer'  => new DHL_Dhl24pl_Block_Sales_Order_Renderer_Link(),
		));

		$this->addColumnsOrder('customized', 'status');

		return parent::_prepareColumns();

	}
}