<?php
class DHL_Dhl24pl_Model_Carrier extends Mage_Shipping_Model_Carrier_Abstract
    implements Mage_Shipping_Model_Carrier_Interface {
    protected $_code = 'dhl_dhl24pl';

    public $type = 0;

    public function getFormBlock(){
        if ($this->type == 0) {
            return 'dhl24pl/parcelshop';
        } else {
            return 'dhl24pl/courier';
        }
        //return 'dhl24pl/parcelshop';
    }
    public function collectRates(Mage_Shipping_Model_Rate_Request $request)
    {
        $result = Mage::getModel('shipping/rate_result');
        /* @var $result Mage_Shipping_Model_Rate_Result */

        $result->append($this->_getParcelshopShippingRate());
        $result->append($this->_getCourierShippingRate());

        return $result;
    }

    protected function _getParcelshopShippingRate()
    {
        $rate = Mage::getModel('shipping/rate_result_method');
        /* @var $rate Mage_Shipping_Model_Rate_Result_Method */

        $rate->setCarrier($this->_code);
        /**
         * getConfigData(config_key) returns the configuration value for the
         * carriers/[carrier_code]/[config_key]
         */
        $rate->setCarrierTitle($this->getConfigData('title'));

        $rate->setMethod('parcelshop');
        $rate->setMethodTitle('DHL Parcel Shop');

        $price = $this->getConfigData('price_parcelshop');
        $rate->setPrice($price);
        $rate->setCost(0);

        return $rate;
    }

    protected function _getCourierShippingRate()
    {
        $rate = Mage::getModel('shipping/rate_result_method');
        /* @var $rate Mage_Shipping_Model_Rate_Result_Method */
        $rate->setCarrier($this->_code);
        $rate->setCarrierTitle($this->getConfigData('title'));
        $rate->setMethod('courier');
        $rate->setMethodTitle('DHL Kurier');
        $price = $this->getConfigData('price_courier');
        $rate->setPrice($price);
        $rate->setCost(0);
        return $rate;
    }




    public function getAllowedMethods()
    {
        return array(
            'parcelshop' => 'DHL Parcel Shop',
            'courier' => 'DHL Kurier',
        );
    }


}