<?php

class DHL_Dhl24pl_Model_Observer extends Varien_Object
{
	public function saveShippingMethod($evt){
		$request = $evt->getRequest();
		$quote = $evt->getQuote();
        $quote_id = $quote->getId();
        $method= $request->getParam('shipping_method',false);
        if ($method == 'dhl_dhl24pl_parcelshop') {
            $parceslhop = $request->getParam('parceslhop',false);
            $data = array($quote_id => $parceslhop);
            if($parceslhop){
                Mage::getSingleton('checkout/session')->setParceslhop($data);
            }
        } elseif ($method == 'dhl_dhl24pl_courier') {
            $courier = $request->getParam('courier',false);
            $data = array($quote_id => $courier);
            if($courier){
                Mage::getSingleton('checkout/session')->setCourier($data);
            }
        }
	}
	public function saveOrderAfter($evt){
		$order = $evt->getOrder();
		$quote = $evt->getQuote();
		$quote_id = $quote->getId();
        $parceslhop = Mage::getSingleton('checkout/session')->getParceslhop();
		if(isset($parceslhop[$quote_id])){
            $order->setDhl24plParcelshop(json_encode($parceslhop[$quote_id]));
            $order->save();
		}
        $courier = Mage::getSingleton('checkout/session')->getCourier();
        if(isset($courier[$quote_id])){
            $order->setDhl24plNeighbor(json_encode($courier[$quote_id]));
            $order->save();
        }
	}
	public function loadQuoteAfter($evt)
	{
		$quote = $evt->getQuote();
		if($quote->getId()){
			$quote_id = $quote->getId();
            $parceslhop = Mage::getSingleton('checkout/session')->getParceslhop();
			if(isset($parceslhop[$quote_id])){
				$data = $parceslhop[$quote_id];
				$quote->setParceslhopData($data);
			}
            $courier = Mage::getSingleton('checkout/session')->getCourier();
            if(isset($courier[$quote_id])){
                $data = $courier[$quote_id];
                $quote->setCourierData($data);
            }
		}
	}
}